Loading...
Searching...
No Matches
DsfTrackGenerator.h File Reference

Identifies connected components in the keypoint matches graph. More...

Go to the source code of this file.

## Classes

struct | gtsam::gtsfm::Keypoints

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef Eigen::MatrixX2i | gtsam::gtsfm::CorrespondenceIndices
using | gtsam::gtsfm::KeypointsVector = std::vector<Keypoints>
using | gtsam::gtsfm::MatchIndicesMap = std::map<IndexPair, CorrespondenceIndices>

## Functions

std::vector< SfmTrack2d > | gtsam::gtsfm::tracksFromPairwiseMatches (const MatchIndicesMap &matches, const KeypointsVector &keypoints, bool verbose)
| Creates a list of tracks from 2d point correspondences.

## Detailed Description

Identifies connected components in the keypoint matches graph.

Date
  July 2022

Author
  John Lambert

## Function Documentation

## tracksFromPairwiseMatches()

std::vector< SfmTrack2d > gtsam::gtsfm::tracksFromPairwiseMatches | ( | const MatchIndicesMap & | matches,
|  | const KeypointsVector & | keypoints,
|  | bool | verbose )

Creates a list of tracks from 2d point correspondences.

Creates a disjoint-set forest (DSF) and 2d tracks from pairwise matches. We create a singleton for union-find set elements from camera index of a detection and the index of that detection in that camera's keypoint list, i.e. (i,k).

Parameters

  Map | from (i1,i2) image pair indices to (K,2) matrix, for K correspondence indices, from each image.
  Length-N | list of keypoints, for N images/cameras.